import request from '@/utils/request'

// 查询高价值数据导入详情列表
export function listDHighValueInfoPreDetail(query) {
  return request({
    url: '/dimp/dHighValueInfoPreDetail/list',
    method: 'get',
    params: query
  })
}

// 查询高价值数据导入详情详细
export function getDHighValueInfoPreDetail(id) {
  return request({
    url: '/dimp/dHighValueInfoPreDetail/' + id,
    method: 'get'
  })
}

// 新增高价值数据导入详情
export function addDHighValueInfoPreDetail(data) {
  return request({
    url: '/dimp/dHighValueInfoPreDetail',
    method: 'post',
    data: data
  })
}

// 修改高价值数据导入详情
export function updateDHighValueInfoPreDetail(data) {
  return request({
    url: '/dimp/dHighValueInfoPreDetail',
    method: 'put',
    data: data
  })
}

// 删除高价值数据导入详情
export function delDHighValueInfoPreDetail(id) {
  return request({
    url: '/dimp/dHighValueInfoPreDetail/' + id,
    method: 'delete'
  })
}
